> ## Documentation Index
> Fetch the complete documentation index at: https://agentref.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tracking diagnostics status for a program



## OpenAPI

````yaml /openapi.json get /programs/{id}/tracking/status
openapi: 3.1.0
info:
  title: AgentRef REST API
  version: 1.0.0
  description: >-
    REST API v1 for merchants and affiliates. Authentication via API keys
    (Authorization: Bearer ak_...).
servers:
  - url: /api/v1
    description: Current API version
security:
  - ApiKeyAuth: []
tags:
  - name: Auth
  - name: Onboarding
  - name: Programs
  - name: Merchant
  - name: Applications
  - name: Affiliates
  - name: Me
  - name: Coupons
  - name: Invites
  - name: Conversions
  - name: Payouts
  - name: Flags
  - name: Billing
  - name: Marketplace
  - name: Marketing Resources
  - name: Notifications
  - name: Webhooks
  - name: Docs
  - name: Meta
paths:
  /programs/{id}/tracking/status:
    get:
      tags:
        - Programs
      summary: Get tracking diagnostics status for a program
      operationId: getProgramTrackingStatus
      parameters:
        - $ref: '#/components/parameters/UuidPathId'
      responses:
        '200':
          description: Tracking diagnostics status
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProgramTrackingStatusResponse'
                  meta:
                    $ref: '#/components/schemas/RequestMeta'
                required:
                  - data
                  - meta
        '404':
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    UuidPathId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ProgramTrackingStatusResponse:
      type: object
      properties:
        programId:
          type: string
          format: uuid
        status:
          type: object
          properties:
            stripeConnected:
              type: boolean
            trackingScriptVerified:
              type: boolean
            websiteConfigured:
              type: boolean
            trackingDomain:
              type:
                - string
                - 'null'
            trackingRequiresConsent:
              type: boolean
            cookieDuration:
              type: integer
          required:
            - stripeConnected
            - trackingScriptVerified
            - websiteConfigured
            - trackingDomain
            - trackingRequiresConsent
            - cookieDuration
        stats:
          type: object
          properties:
            clicksLast7Days:
              type: object
              properties:
                total:
                  type: integer
                redirect:
                  type: integer
                direct:
                  type: integer
              required:
                - total
                - redirect
                - direct
            conversionsLast30Days:
              type: object
              properties:
                total:
                  type: integer
                clickToken:
                  type: integer
                coupon:
                  type: integer
              required:
                - total
                - clickToken
                - coupon
            stripeEventsLast30Days:
              type: object
              properties:
                total:
                  type: integer
                succeeded:
                  type: integer
                skipped:
                  type: integer
              required:
                - total
                - succeeded
                - skipped
          required:
            - clicksLast7Days
            - conversionsLast30Days
            - stripeEventsLast30Days
        recent:
          type: object
          properties:
            lastRedirectClick:
              anyOf:
                - $ref: '#/components/schemas/TrackingVerificationRecentClick'
                - type: 'null'
            lastDirectClick:
              anyOf:
                - $ref: '#/components/schemas/TrackingVerificationRecentClick'
                - type: 'null'
            lastTrackingVerification:
              anyOf:
                - $ref: '#/components/schemas/TrackingVerificationInstallStatus'
                - type: 'null'
          required:
            - lastRedirectClick
            - lastDirectClick
            - lastTrackingVerification
        health:
          type: object
          properties:
            scriptInstalled:
              $ref: '#/components/schemas/TrackingVerificationHealthStep'
            referralClickReceived:
              $ref: '#/components/schemas/TrackingVerificationHealthStep'
            stripeEventReceived:
              $ref: '#/components/schemas/TrackingVerificationHealthStep'
            conversionAttributed:
              $ref: '#/components/schemas/TrackingVerificationHealthStep'
            blockingReason:
              type:
                - string
                - 'null'
          required:
            - scriptInstalled
            - referralClickReceived
            - stripeEventReceived
            - conversionAttributed
            - blockingReason
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/TrackingVerificationWarning'
        summary:
          type: string
      required:
        - programId
        - status
        - stats
        - recent
        - health
        - warnings
        - summary
    RequestMeta:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId
    TrackingVerificationRecentClick:
      type: object
      properties:
        affiliateCode:
          type: string
        createdAt:
          type: string
          format: date-time
        entryHost:
          type:
            - string
            - 'null'
      required:
        - affiliateCode
        - createdAt
        - entryHost
    TrackingVerificationInstallStatus:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
        entryHost:
          type:
            - string
            - 'null'
      required:
        - createdAt
        - entryHost
    TrackingVerificationHealthStep:
      type: object
      properties:
        complete:
          type: boolean
        reason:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - complete
        - reason
        - updatedAt
    TrackingVerificationWarning:
      type: object
      properties:
        code:
          type: string
        severity:
          type: string
          enum:
            - info
            - warning
        message:
          type: string
      required:
        - code
        - severity
        - message
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
        meta:
          $ref: '#/components/schemas/RequestMeta'
      required:
        - error
        - meta
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Use API key as Bearer token, for example: Bearer ak_live_xxx'

````